[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Kernel Upgrade


Johnno (<valentine@xtra.co.nz>) wrote:

> I was trying to update the kernel from 2.2.0 to 2.4.18-1-386
> I used apt-get install kernel-image-2.4.18-1-386
> I have tried to install it a few times but still get the some errors
> when I reboot
> VFS: Cannot open root device "301" or 03:01
> Please append a correct "root=" boot option
> Kernel Panic: VFS unable to mount root fs on 03:01

You need to configure lilo to use the initrd, because without it the
kernel cannot load the drivers needed to access the root device. Add
the line


to the Linux section (if that is the entry for 2.4) of your lilo.conf,
and run lilo.

best regards
 Andreas Janssen

Andreas Janssen <andreas.janssen@bigfoot.com>
PGP-Key-ID: 0xDC801674 ICQ #17079270
Registered Linux User #267976

Reply to: